%define oname   text-format

Name:       ruby-%{oname}
Version:    1.0.0
Release:    %mkrel 5
Summary:    Formats fixed-width text nicely
License:    Ruby License and Artistic
Group:      Development/Ruby
URL:        http://rubyforge.org/projects/text-format
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
Patch0:     text-format-1.0.0-sections.patch
BuildRequires: rubygems
BuildArch:  noarch

%description
Text::Format is provides the ability to nicely format fixed-width text with
knowledge of the writeable space (number of columns), margins, and
indentation settings. Text::Format can work with either TeX::Hyphen or
Text::Hyphen to hyphenate words when formatting.

%files
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_vendorlibdir}/*

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc README Changelog Install
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
gunzip metadata.gz
%patch0 -p0
gzip metadata

%build
%gem_build

%install
%gem_install

#FIXME: implement that in gem_helper.rb
mkdir -p %{buildroot}%{ruby_vendorlibdir}
mv %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/* %{buildroot}%{ruby_vendorlibdir}

rm -rf %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 1.0.0-5.mga3
+ Revision: 396564
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.0.0-4.mga3
+ Revision: 381557
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 1.0.0-3.mga3
+ Revision: 313994
- add missing sections
- rebuild for new ruby
- rebuild for ruby

* Fri Mar 25 2011 shikamaru <shikamaru> 1.0.0-2.mga1
+ Revision: 77159
- add check section
- FHS compliance

* Sun Feb 13 2011 shikamaru <shikamaru> 1.0.0-1.mga1
+ Revision: 51436
- imported package ruby-text-format

